Apache Tomcat 6.0.51

## org.apache.coyote.http11
Class Http11Protocol.Http11ConnectionHandler

    java.lang.Object
      org.apache.coyote.http11.Http11Protocol.Http11ConnectionHandler

All Implemented Interfaces:
  JIoEndpoint.Handler

Enclosing class:
  Http11Protocol

    protected static class Http11Protocol.Http11ConnectionHandler

extends java.lang.Object
implements JIoEndpoint.Handler

Field Summary
`protected RequestGroupInfo` | `global`
`protected Http11Protocol` | `proto`
`protected java.util.concurrent.ConcurrentLinkedQueue<Http11Processor>` | `recycledProcessors`
`protected java.util.concurrent.atomic.AtomicLong` | `registerCount`

Method Summary
`protected Http11Processor` | `createProcessor()`
`boolean` | `process(java.net.Socket socket)`
`protected void` | `register(Http11Processor processor)`
`protected void` | `unregister(Http11Processor processor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### proto

    protected Http11Protocol proto

### registerCount

    protected java.util.concurrent.atomic.AtomicLong registerCount

### global

    protected RequestGroupInfo global

### recycledProcessors

    protected java.util.concurrent.ConcurrentLinkedQueue<Http11Processor> recycledProcessors

Method Detail

### process

    public boolean process(java.net.Socket socket)

  Specified by:
    `process` in interface `JIoEndpoint.Handler`

### createProcessor

    protected Http11Processor createProcessor()

### register

    protected void register(Http11Processor processor)

### unregister

    protected void unregister(Http11Processor processor)

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.